Bug 25892 - Clarify the visual hierarchy of holds by library and itemtype
Summary: Clarify the visual hierarchy of holds by library and itemtype
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 25827
  Show dependency treegraph
 
Reported: 2020-06-29 14:21 UTC by Owen Leonard
Modified: 2020-07-28 14:41 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Screenshot showing nested fieldsets (82.37 KB, image/png)
2020-06-29 14:21 UTC, Owen Leonard
Details
Screenshot showing the proposed revision (88.44 KB, image/png)
2020-06-29 14:21 UTC, Owen Leonard
Details
Bug 25892: Clarify the visual hierarchy of holds by branch and itemtype (14.88 KB, patch)
2020-06-29 14:46 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25892: Clarify the visual hierarchy of holds by branch and itemtype (14.94 KB, patch)
2020-06-29 18:10 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 25892: Clarify the visual hierarchy of holds by branch and itemtype (14.99 KB, patch)
2020-07-03 08:04 UTC, Emmi Takkinen
Details | Diff | Splinter Review
Bug 25892: Clarify the visual hierarchy of holds by branch and itemtype (15.05 KB, patch)
2020-07-04 22:59 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-06-29 14:21:00 UTC
Created attachment 106401 [details]
Screenshot showing nested fieldsets

With the various settings of HoldsSplitQueue enabled the visual hierarchy of the holds list (/cgi-bin/koha/reserve/request.pl?biblionumbers=XX) can be a little muddled. See the attached screenshot. I think it would be better not to have multiple nested fieldsets and instead use a combination of fieldsets and headings.
Comment 1 Owen Leonard 2020-06-29 14:21:41 UTC
Created attachment 106402 [details]
Screenshot showing the proposed revision
Comment 2 Owen Leonard 2020-06-29 14:46:15 UTC
Created attachment 106403 [details] [review]
Bug 25892: Clarify the visual hierarchy of holds by branch and itemtype

This patch makes minor changes to the markup of the holds list to make
the page hierarchy clearer when holds are grouped by branch and
itemtype.

Test plan:

 - Enable the  AllowHoldItemTypeSelection system preference.
 - Locate a record in the catalog and place multiple holds:
   - Holds at different branches
   - Holds with different itemtypes selected
 - View the holds page with various values of the HoldsSplitQueue
   preference enabled:
   - nothing
   - pickup library
   - hold itemtype
   - pickup library & itemtype

   In each case verify that the interface works well.
Comment 3 ByWater Sandboxes 2020-06-29 18:10:05 UTC
Created attachment 106412 [details] [review]
Bug 25892: Clarify the visual hierarchy of holds by branch and itemtype

This patch makes minor changes to the markup of the holds list to make
the page hierarchy clearer when holds are grouped by branch and
itemtype.

Test plan:

 - Enable the  AllowHoldItemTypeSelection system preference.
 - Locate a record in the catalog and place multiple holds:
   - Holds at different branches
   - Holds with different itemtypes selected
 - View the holds page with various values of the HoldsSplitQueue
   preference enabled:
   - nothing
   - pickup library
   - hold itemtype
   - pickup library & itemtype

   In each case verify that the interface works well.

Signed-off-by: Christopher Brannon <cbrannon@cdalibrary.org>
Comment 4 Christopher Brannon 2020-06-29 18:10:41 UTC
Works as outlined.  Everything looks good.
Comment 5 Emmi Takkinen 2020-07-03 08:04:04 UTC
Created attachment 106488 [details] [review]
Bug 25892: Clarify the visual hierarchy of holds by branch and itemtype

This patch makes minor changes to the markup of the holds list to make
the page hierarchy clearer when holds are grouped by branch and
itemtype.

Test plan:

 - Enable the  AllowHoldItemTypeSelection system preference.
 - Locate a record in the catalog and place multiple holds:
   - Holds at different branches
   - Holds with different itemtypes selected
 - View the holds page with various values of the HoldsSplitQueue
   preference enabled:
   - nothing
   - pickup library
   - hold itemtype
   - pickup library & itemtype

   In each case verify that the interface works well.

Signed-off-by: Christopher Brannon <cbrannon@cdalibrary.org>
Signed-off-by: Emmi Takkinen <emmi.takkinen@outlook.com>
Comment 6 Katrin Fischer 2020-07-04 22:59:12 UTC
Created attachment 106530 [details] [review]
Bug 25892: Clarify the visual hierarchy of holds by branch and itemtype

This patch makes minor changes to the markup of the holds list to make
the page hierarchy clearer when holds are grouped by branch and
itemtype.

Test plan:

 - Enable the  AllowHoldItemTypeSelection system preference.
 - Locate a record in the catalog and place multiple holds:
   - Holds at different branches
   - Holds with different itemtypes selected
 - View the holds page with various values of the HoldsSplitQueue
   preference enabled:
   - nothing
   - pickup library
   - hold itemtype
   - pickup library & itemtype

   In each case verify that the interface works well.

Signed-off-by: Christopher Brannon <cbrannon@cdalibrary.org>
Signed-off-by: Emmi Takkinen <emmi.takkinen@outlook.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Jonathan Druart 2020-07-20 15:49:23 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 8 Lucas Gass 2020-07-28 14:41:22 UTC
not backporting enhancement to 20.05.x series